# Uses of Class
javax.security.auth.callback.UnsupportedCallbackException

Packages that use UnsupportedCallbackException
Package
Description
com.sun.security.auth.callback
Provides an implementation of `CallbackHandler`.
javax.security.auth.callback
This package provides the classes necessary for services to interact with applications in order to retrieve information (authentication data including usernames or passwords, for example) or to display information (error and warning messages, for example).

## Uses of UnsupportedCallbackException in com.sun.security.auth.callback

Methods in com.sun.security.auth.callback that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`void`
TextCallbackHandler.`handle(Callback[] callbacks)`
Handles the specified set of callbacks.

## Uses of UnsupportedCallbackException in javax.security.auth.callback

Methods in javax.security.auth.callback that throw UnsupportedCallbackException
Modifier and Type
Method
Description
`void`
CallbackHandler.`handle(Callback[] callbacks)`
Retrieve or display the information requested in the provided Callbacks.